Summary:	PolicyKit integration for the GNOME desktop
Name:		polkit-gnome
Version:	0.105
Release:	2
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.freedesktop.org/wiki/Software/PolicyKit
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz
Source1:	polkit-gnome-authentication-agent-1.desktop.in

BuildRequires: gtk-doc
BuildRequires: intltool
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(polkit-gobject-1)
BuildRequires: pkgconfig(gobject-introspection-1.0)
Provides:	polkit-agent
Obsoletes:	%{_lib}polkit-gtk1_0 < 0.105
Obsoletes:	%{_lib}polkit-gtk1-devel < 0.105
Obsoletes:	polkit-gnome-docs < 0.105

%description
polkit-gnome provides an authentication agent for PolicyKit
that matches the look and feel of the GNOME desktop.

%prep
%setup -q

%build
%configure2_5x \
	--enable-gtk-doc \
	--disable-static

%make

%install
%makeinstall_std
install -D -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/xdg/autostart/polkit-gnome-authentication-agent-1.desktop
sed -i 's,@FULL_LIBEXECDIR@,%{_libdir},' %{buildroot}%{_sysconfdir}/xdg/autostart/polkit-gnome-authentication-agent-1.desktop

%find_lang %{name}-1

%files -f %{name}-1.lang
%doc COPYING AUTHORS README
%config(noreplace) %{_sysconfdir}/xdg/autostart/polkit-gnome-authentication-agent-1.desktop
%{_libexecdir}/polkit-gnome-authentication-agent-1



%changelog
* Sat May 26 2012 Guilherme Moro <guilherme@mandriva.com> 0.105-2
+ Revision: 800757
- Only start polkit agent if not running gnome-shell

* Sat May 05 2012 Matthew Dawkins <mattydaw@mandriva.org> 0.105-1
+ Revision: 796847
- new version 0.105
- added S1 from mga
- lib devel and doc pkg now obsolete
- cleaned up spec

* Wed Sep 28 2011 Götz Waschk <waschk@mandriva.org> 0.102-2
+ Revision: 701668
- rebuild for new libpng

* Wed Aug 17 2011 Götz Waschk <waschk@mandriva.org> 0.102-1
+ Revision: 694826
- new version
- get source from GNOME

* Thu May 05 2011 Oden Eriksson <oeriksson@mandriva.com> 0.101-2
+ Revision: 667800
- mass rebuild

* Sun Mar 06 2011 Götz Waschk <waschk@mandriva.org> 0.101-1
+ Revision: 642318
- update to new version 0.101

* Wed Feb 23 2011 Götz Waschk <waschk@mandriva.org> 0.100-1
+ Revision: 639422
- new version
- remove desktop entry

* Mon Sep 20 2010 Götz Waschk <waschk@mandriva.org> 0.99-1mdv2011.0
+ Revision: 579972
- update to new version 0.99

* Fri Aug 13 2010 Götz Waschk <waschk@mandriva.org> 0.97-1mdv2011.0
+ Revision: 569360
- update to new version 0.97

* Sat Jul 31 2010 Funda Wang <fwang@mandriva.org> 0.96-3mdv2011.0
+ Revision: 563865
- rebuild for new gobject-introspection

* Wed Apr 28 2010 Frederic Crozat <fcrozat@mandriva.com> 0.96-2mdv2010.1
+ Revision: 540133
- Ensure agent is started in all environments but KDE (instead of only GNOME)

* Mon Jan 18 2010 Frederic Crozat <fcrozat@mandriva.com> 0.96-1mdv2010.1
+ Revision: 493098
- Release 0.96

* Mon Nov 30 2009 Götz Waschk <waschk@mandriva.org> 0.95-1mdv2010.1
+ Revision: 471720
- new version
- bump polkit dep
- add introspection support
- disable parallel make

* Tue Aug 18 2009 Frederic Crozat <fcrozat@mandriva.com> 0.94-2mdv2010.0
+ Revision: 417612
- Provides polkit-agent virtual package

* Thu Aug 13 2009 Frederic Crozat <fcrozat@mandriva.com> 0.94-1mdv2010.0
+ Revision: 415994
- Release 0.94
- create lib/devel/doc subpackages

* Fri Jul 24 2009 Götz Waschk <waschk@mandriva.org> 0.93-1mdv2010.0
+ Revision: 399380
- new version
- update file list
- bump polkit dep

* Tue Jul 14 2009 Götz Waschk <waschk@mandriva.org> 0.92-1mdv2010.0
+ Revision: 395928
- import polkit-gnome


* Tue Jul 14 2009 Götz Waschk <waschk@mandriva.org> 0.92-1mdv2010.0
- adapt for Mandriva

* Tue Jun  9 2009 Matthias Clasen <mclasen@redhat.com> - 0.9.2-3
- Fix BuildRequires

* Tue Jun 09 2009 David Zeuthen <davidz@redhat.com> - 0.92-2
- Change license to LGPLv2+
- Remove Requires: gnome-session

* Mon Jun 08 2009 David Zeuthen <davidz@redhat.com> - 0.92-1
- Update to 0.92 release

* Wed May 27 2009 David Zeuthen <davidz@redhat.com> - 0.92-0.git20090527
- Update to 0.92 snapshot

* Mon Feb  9 2009 David Zeuthen <davidz@redhat.com> - 0.91-1
- Initial spec file.
